Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.bea.p13n.model
Enum Model.ChangeEvent.Type

    java.lang.Object
      java.lang.Enum<Model.ChangeEvent.Type>
          com.bea.p13n.model.Model.ChangeEvent.Type

All Implemented Interfaces
  Serializable, Comparable<Model.ChangeEvent.Type>

Enclosing class:
  Model.ChangeEvent

    public static enum Model.ChangeEvent.Type

extends Enum<Model.ChangeEvent.Type>

Enumeration of the possible types of changes.

Enum Constant Summary
`CHILD_CHANGE` Constant for a model child added or removed event.
`PARENT_CHANGE` Constant for a parent change.
`PROPERTY_CHANGE` Constant for a model property change event.
`ROOT_MODEL_CHANGE` Constant for a root model replacement (on a DocumentModel).

Method Summary
`static Model.ChangeEvent.Type` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Model.ChangeEvent.Type[]` | `values()` Returns an array containing the constants of this enum type, in the order theyre declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### PROPERTY_CHANGE

    public static final Model.ChangeEvent.Type PROPERTY_CHANGE

  Constant for a model property change event.

### CHILD_CHANGE

    public static final Model.ChangeEvent.Type CHILD_CHANGE

  Constant for a model child added or removed event.

### ROOT_MODEL_CHANGE

    public static final Model.ChangeEvent.Type ROOT_MODEL_CHANGE

  Constant for a root model replacement (on a DocumentModel).

### PARENT_CHANGE

    public static final Model.ChangeEvent.Type PARENT_CHANGE

  Constant for a parent change.

Method Detail

### values

    public static final Model.ChangeEvent.Type[] values()

  Returns an array containing the constants of this enum type, in the order theyre declared.

### valueOf

    public static Model.ChangeEvent.Type valueOf(String name)

  Returns the enum constant of this type with the specified name.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.